window.addEventListener("load", function() {
   document.body.style.width='100%';
   document.body.style.height='100%';
}, false);

function updateClock() {
var currentTime = new Date();
var currentHours = currentTime.getHours();
var currentMinutes = currentTime.getMinutes() < 10 ? '0' + currentTime.getMinutes() : currentTime.getMinutes();
var currentSeconds = currentTime.getSeconds() < 10 ? '0' + currentTime.getSeconds() : currentTime.getSeconds();
var currentDate = currentTime.getDate() < 10 ? '0' + currentTime.getDate() : currentTime.getDate();
var currentMonth1 = currentTime.getMonth() + 1;
var currentMonth = currentMonth1 < 10 ? '0' + currentMonth1 : currentMonth1;
var currentYear = currentTime.getFullYear() - 2000;
timeOfDay = ( currentHours < 12 ) ? "am" : "pm";

if (Clock == "24h"){
	timeOfDay = "";
	currentHours = ( currentHours < 10 ? "0" : "" ) + currentHours;
	currentTimeString = currentHours + ":" + currentMinutes;
}
if (Clock == "12h"){
	currentHours = ( currentHours > 12 ) ? currentHours - 12 : currentHours;
	currentHours = ( currentHours == 0 ) ? 12 : currentHours;
	currentTimeString = currentHours + ":" + currentMinutes;
}

document.getElementById("Clock").textContent = currentHours + ':' + currentMinutes + timeOfDay;
document.getElementById("weekday").textContent = days[currentTime.getDay()];
document.getElementById("Cal").textContent = currentDate + '/' + currentMonth + '/' + currentYear;
}

function init(){
updateClock();
setInterval("updateClock();", 1000);
}
